Bug 39266 - Update port: x11/gdkxft ${PERL} -> ${REINPLACE_CMD}
Update port: x11/gdkxft ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:30 UTC by obraun
Modified: 2002-06-27 14:34 UTC (History)
0 users

See Also:


Attachments
file.diff (1.15 KB, patch)
2002-06-14 10:30 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:30:01 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-19 23:38:22 UTC
add USE_REINPLACE= yes

Regards,
         Olli


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/x11/gdkxft/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- Makefile	2002/05/19 19:56:14	1.11
+++ Makefile	2002/06/19 22:37:58
@@ -18,6 +18,7 @@
 
 USE_X_PREFIX=	yes
 USE_GTK=	yes
+USE_REINPLACE=	yes
 WANT_GNOME=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
@@ -40,18 +41,18 @@
 .endif
 
 post-patch:
-	@${PERL} -pi -e 's|gtk-config --prefix|\$$GTK_CONFIG --prefix|g ; \
+	@${REINPLACE_CMD} -e 's|gtk-config --prefix|\$$GTK_CONFIG --prefix|g ; \
 		 s|libgdk.la|libgdk12.so|g ; \
 		 s|libgdk.so|libgdk12.so|g ; \
 		 s|GDK_DLOPEN_NAME=.*$$|GDK_DLOPEN_NAME="libgdk12.so"|g' \
 			${WRKSRC}/configure
-	@find ${WRKSRC} -name "Makefile.in" | xargs ${PERL} -pi -e \
+	@find ${WRKSRC} -name "Makefile.in" | xargs ${REINPLACE_CMD} -E -e \
 		's|src capplet|src \@BUILD_CAPPLET_TRUE\@capplet|g ; \
 		 s|DESTDIR\)\$$\(datadir|DESTDIR\)\$$\(pkgdatadir|g ; \
 		 s|/gnome/apps/|/apps/|g ; \
 		 s|la_LDFLAGS =.*$$|la_LDFLAGS = -module -avoid-version|g'
 .for file in gdkxft_sysinstall.in gdkxft.c generate.pl
-	@${PERL} -pi -e 's|<regex.h>|<gnuregex.h>|g ; \
+	@${REINPLACE_CMD} -e 's|<regex.h>|<gnuregex.h>|g ; \
 		 s|gtk-config |${GTK_CONFIG:T} |g' ${WRKSRC}/src/${file}
 .endfor
Comment 2 perky freebsd_committer 2002-06-27 14:33:58 UTC
State Changed
From-To: open->closed

Committed, Thanks!